using System;

namespace Takmicenje___Namestanje_glasanja
{
    class Program
    {
        static int Medijana(int[] niz, int n)
        {
            int brojmanjih = 0;
            int brojvecih = 0;

            for(int i = 0; i < niz.Length; i++)
            {
                if (niz[i] > n) brojvecih++;
                if (niz[i] < n) brojmanjih++;
            }

            if(niz.Length % 2 == 0)
            {
                if (Math.Abs(brojmanjih - brojvecih) % 2 == 0 && Math.Abs(brojmanjih - brojvecih) != 0) return Math.Abs(brojmanjih - brojvecih);
                else return Math.Abs(brojmanjih - brojvecih) - 1;
            }

            else
            {
                if (Math.Abs(brojmanjih - brojvecih) % 2 == 0 && Math.Abs(brojmanjih - brojvecih) != 0) return Math.Abs(brojmanjih - brojvecih) - 1;
                else return Math.Abs(brojmanjih - brojvecih);
            }
        }
        
        static void Main(string[] args)
        {
            string[] str1 = Console.ReadLine().Split();
            int n = int.Parse(str1[0]);
            int q = int.Parse(str1[1]);

            string[] str2 = Console.ReadLine().Split();
            int[] a = new int[n];
            for(int i = 0; i < n; i++)
            {
                a[i] = int.Parse(str2[i]);
            }

            Array.Sort(a);

            string[] str3 = Console.ReadLine().Split();
            int[] b = new int[q];
            for(int i = 0; i < q; i++)
            {
                b[i] = int.Parse(str3[i]);
            }

            Array.Sort(b);

            for(int i = 0; i < q; i++)
            {
                Console.WriteLine(Medijana(a, b[i]));
            }
        }
    }
}